com.collabnet.ce.soap60.webservices.frs

## Class ReleaseSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
    - - com.collabnet.ce.soap60.webservices.frs.ReleaseSoapDO

-     public class ReleaseSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  This class represents the data associated with an FRS release.
  Change History
  Release: 4.4
  - Added 'downloaded'
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MATURITY_ALPHA`
    `static String` | `MATURITY_BETA`
    `static String` | `MATURITY_DEVELOPMENT_BUILD`
    `static String` | `MATURITY_EARLY_ACCESS`
    `static String` | `MATURITY_GENERAL_AVAILABILITY`
    `static String` | `MATURITY_OBSOLETE`
    `static String` | `MATURITY_PRE_GENERAL_AVAILABILITY`
    `static String` | `MATURITY_PROTOTYPE`
    `static String` | `MATURITY_STABLE`
    `static String` | `STATUS_ACTIVE`
    `static String` | `STATUS_PENDING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReleaseSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDownloaded()` Returns 'downloaded'.
    `String` | `getMaturity()` Returns 'maturity'.
    `String` | `getStatus()` Returns 'status'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDownloaded(int downloaded)` Sets 'downloaded'.
    `void` | `setMaturity(String maturity)` Sets 'maturity'.
    `void` | `setStatus(String status)` Sets 'status'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

      `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final String STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_PENDING

          public static final String STATUS_PENDING

      See Also:
        Constant Field Values

    - #### MATURITY_PROTOTYPE

          public static final String MATURITY_PROTOTYPE

      See Also:
        Constant Field Values

    - #### MATURITY_DEVELOPMENT_BUILD

          public static final String MATURITY_DEVELOPMENT_BUILD

      See Also:
        Constant Field Values

    - #### MATURITY_ALPHA

          public static final String MATURITY_ALPHA

      See Also:
        Constant Field Values

    - #### MATURITY_BETA

          public static final String MATURITY_BETA

      See Also:
        Constant Field Values

    - #### MATURITY_EARLY_ACCESS

          public static final String MATURITY_EARLY_ACCESS

      See Also:
        Constant Field Values

    - #### MATURITY_PRE_GENERAL_AVAILABILITY

          public static final String MATURITY_PRE_GENERAL_AVAILABILITY

      See Also:
        Constant Field Values

    - #### MATURITY_GENERAL_AVAILABILITY

          public static final String MATURITY_GENERAL_AVAILABILITY

      See Also:
        Constant Field Values

    - #### MATURITY_STABLE

          public static final String MATURITY_STABLE

      See Also:
        Constant Field Values

    - #### MATURITY_OBSOLETE

          public static final String MATURITY_OBSOLETE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReleaseSoapDO

          public ReleaseSoapDO()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Returns 'status'. Release status: STATUS_ACTIVE or STATUS_PENDING.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Release status: STATUS_ACTIVE or STATUS_PENDING.
      Parameters:
        `status` - Value of 'status'.

    - #### getMaturity

          public String getMaturity()

      Returns 'maturity'. Release maturity (customizable field).
      Returns:
        Value of 'maturity'.

    - #### setMaturity

          public void setMaturity(String maturity)

      Sets 'maturity'. Release maturity (customizable field).
      Parameters:
        `maturity` - Value of 'maturity'.

    - #### getDownloaded

          public int getDownloaded()

      Returns 'downloaded'. The download count for this release.
      Returns:
        Value of 'downloaded'.

    - #### setDownloaded

          public void setDownloaded(int downloaded)

      Sets 'downloaded'. The download count for this release.
      Parameters:
        `downloaded` - Value of 'downloaded'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.